php SOAP Extension


Warning: count(): Parameter must be an array or an object that implements Countable in /home/styllloz/code-flow.club/qa-theme/donut-theme/qa-donut-layer.php on line 274
0 like 0 dislike
18 views
Begin to understand SOAP, I came across this problem: when attempting to use the soap functions popping up fatal error Uncaught SoapFault exception: [VersionMismatch] Wrong Version. The following code example.

$client = new SoapClient(
'http://new.starliner.ru/modules/trains/soap/test.wsdl',
array(
'features' => SOAP_SINGLE_ELEMENT_ARRAYS,
)
);

$result = $client->trainRoute(array('day'=>'12', 'month' => '12', 'train' => '066А'));


Google revealed that this problem occurs frequently, and decisions and has not given.
So what is salt?
by | 18 views

3 Answers

0 like 0 dislike
Damn it, gentlemen PHP-programmers, learn to use their own development tools.
\r
\r
$client = new SoapClient( 'http://new.starliner.ru/modules/trains/soap/test.wsdl', array( 'features' => SOAP_SINGLE_ELEMENT_ARRAYS, 'trace' => 1 ) ); try { $result = $client->trainRoute(array('day'=>'12', 'month' => '12', 'train' => '066А')); } catch (Exception $e) { print $e->getMessage() ."\"; print $client->__getLastRequest(); print $client->__getLastResponse(); } 

\r
\r
Wrong Version <?xml version="1.0" encoding="UTF-8"?>\r1212066А\r\r\r\r\r\r\rError 5027: Starliner: the Method "test" in the controller "SOAP" was not found 
\r\r\r\r

\r
by
0 like 0 dislike
Looks like salt in the fact that the version of the extension does not match the version of PHP.
And php -m in console on what does not swear?
by
0 like 0 dislike
reinstall the expanding
by

Related questions

0 like 0 dislike
1 answer
asked May 21, 2019 by heavig2
0 like 0 dislike
1 answer
0 like 0 dislike
2 answers
0 like 0 dislike
3 answers
asked Apr 13, 2019 by Kerm
0 like 0 dislike
1 answer
asked Apr 14, 2019 by blackseabreathe
110,608 questions
257,186 answers
0 comments
23,110 users